Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 76748

Summary: Component versions in tetex packages are lagging
Product: [Retired] Red Hat Linux Reporter: Michal Jaegermann <michal>
Component: tetexAssignee: Tim Waugh <twaugh>
Status: CLOSED RAWHIDE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: 8.0   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2003-03-25 16:57:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Michal Jaegermann 2002-10-25 19:04:45 UTC
Description of Problem:

Red Hat is too conservative for its own good with versions of software
in tetex packages.  For example, in spite of recent updates dvips
is 5.86 from 1999.  The current one is 5.92a and includes various fixes
in particular for partial fonts downloading and support of Type42 fonts.
(bundled with the current tetex sources - see dviware/dvips/README
on CTAN).

For further examples LaTeX is 2000/06/01 version.  Current
texlive7-20020604 (on CTAN, under tex-archive/systems/texlive/)
includes 2001/06/01 coordinated and required with an up-to-date
version of babel (internationalization support).

Texlive7 also sports 3.14159-1.00b-pretest-20020211 of pdftex, Linux
binaries also provided :-), while Red Hat tetex packages still have
3.14159-14h-released-20010417.  At least not that really buggy old
version which languished in Red Hat distributions for way too long.

Yes, I know about "pretest" but authors seem to be slow and overcautious
and newer versions are available ( on CTAN in 
tex-archive/systems/web2c/web2c-7.3.8-pdftex* ).

Comment 1 Tim Waugh 2002-11-08 14:15:38 UTC
Upgrading every single little tiny component is just too hard, and historically
we've shipped things like the Japanese patches which don't tend to get ported
very quickly.

I look forward to the next actual teTeX release, due "this year".